std::declare_no_pointers(3)

NAME
std::declare_no_pointers - std::declare_no_pointers

Synopsis
   Defined in header <memory>
   void declare_no_pointers( char *p, std::size_t n ); (since C++11)
                        (removed in C++23)
   Informs the garbage collector or leak detector that the specified memory region (n
   bytes beginning at the byte pointed to by p) contains no traceable pointers. If any
   part of the region is within an allocated object, the entire region must be
   contained in the same object.

Parameters
   p - pointer to the beginning of the range
   n - the number of bytes in the range

Return value
   (none)

Exceptions
   Throws nothing.

Example
    This section is incomplete
    Reason: no example

See also
   undeclare_no_pointers cancels the effect of std::declare_no_pointers
   (C++11)(removed in C++23) (function)